Bug 48839 - Errors in use of rndc
Summary: Errors in use of rndc
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
: 49380 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-12 05:28 UTC by Need Real Name
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 11:56:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-07-12 05:28:46 UTC
Description of Problem:

(1) /etc/rndc.conf as installed is world-readable, allowing any
    logged-in user to control the nameserver.

(2) "/etc/rc.d/init.d/named status" invokes "rndc status" which
    is not implemented.

How Reproducible:

N/A

Steps to Reproduce:
1. N/A
2. 
3. 

Actual Results:

N/A

Expected Results:

N/A

Additional Information:

N/A

Comment 1 Bernhard Rosenkraenzer 2001-07-16 11:55:55 UTC
rndc.conf permissions have been fixed since 9.1.3-0.rc3.1 (#46586)


Comment 2 Bernhard Rosenkraenzer 2001-07-16 12:02:12 UTC
rndc status usage removed in 9.1.3-2


Comment 3 Bernhard Rosenkraenzer 2001-07-19 09:39:03 UTC
*** Bug 49380 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.